Trendtracker Connect
Endpoints

Get Investment Time Series

Returns a time series for investments, based on the input filters. The start and end date filters relate to the announced date.

GET
/indicators/investments/time-series

Authorization

APIKeyHeader license
x-api-key<token>

In: header

Scope: license

Query Parameters

resolution?NeoSupportedResolutions

The resolution of the time series: year, quarter, or month.

Default"year"
Value in"month" | "quarter" | "year"
topicIds?array<>
organizationIds?array<>

When non-empty, restrict to events that involve these organizations.

loadChildren?Loadchildren

If True, include organizations active in child topics of the given topic(s).

Defaultfalse
certainty?Certainty

The certainty threshold for the organizations to be included in the results, use 0 to include all links. Typically certainty >= has the topic in the company name, certainty >= 0.7 mentions the topic twice in the company description, certainty >= 0.6 mentions the topic once in the company description and certainty below that mentions the topic in the extended company description.

Default0
Range0 <= value <= 1
start?|

Only consider nodes/events on or after this date.

end?|

Only consider nodes/events on or before this date.

topicLink?InvestmentTopicLink

Filters on the link between the organization involved in the investment and the topic.

Default"both"
Value in"investor" | "investee" | "both"
minValue?|

If set, only include investments whose amount (USD) is strictly greater than this value.

maxValue?|

If set, only include investments whose amount (USD) is less than or equal to this value.

investmentTypes?array<>|

Filters on the type of investment. If not provided, all types are included.

investorEmployeesCounts?array<>|

Filters on the number of employees the investor organization has, in different ranges. If not provided, all organizations are included. You can use 'unknown' to include organizations with no employee count.

investeeEmployeesCounts?array<>|

Filters on the number of employees the investee organization has, in different ranges. If not provided, all organizations are included. You can use 'unknown' to include organizations with no employee count.

Response Body

application/json

application/json

curl -X GET "https://connect-api.trendtracker.ai/indicators/investments/time-series"
{
  "labels": [
    "string"
  ],
  "counts": [
    0
  ],
  "amount": [
    0
  ],
  "weightedCounts": [
    0
  ],
  "variances": [
    0
  ],
  "withoutLabel": 0,
  "amounts": [
    0
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}